#ifndef GROUP_H
#define GROUP_H  1


/* ========================================================================== */
/* Include files */

#include "core.h"


/* ========================================================================== */
/* Function prototypes */

void  group_init(void);
void  group_exit(void);
int  group_article_range_constructor(struct core_range**,
                                            core_anum_t,  core_anum_t,
                                            struct core_range*);
void  group_article_range_destructor(struct core_range**);
int  group_add(struct core_groupstate*);
int  group_get_list(size_t*, struct core_groupstate**);
int  group_set_list(size_t, struct core_groupstate*);
int  group_sort_list(void);
void  group_destroy_list(size_t*, struct core_groupstate**);
int  group_reset_states(void);


#endif  /* GROUP_H */

/* EOF */
